var app = angular.module('angularProject',['ngRoute','ngAnimate','firebase']);

app.config(['$routeProvider', function($routeProvider){
  $routeProvider
    .when('/',{
      templateUrl: './app/views/main-page.html',
      controller: 'MainPageController'
    })
    .when('/select-menu',{
      templateUrl: './app/views/select-menu-page.html',
      controller: 'SelectMenuPageController'
    })
    .when('/add-item',{
      templateUrl: './app/views/add-item-page.html',
      controller: 'AddItemPageController'
    })
    .when('/ready-menu',{
      templateUrl: './app/views/ready-menu-page.html',
      controller: 'ReadyMenuController'
    }).when('/ready-menu-loss',{
      templateUrl: './app/views/ready-menu-second.html',
      controller: 'ReadyMenuSecondController'
    })
    .when('/ready-menu-gain',{
      templateUrl: './app/views/ready-menu-second.html',
      controller: 'ReadyMenuSecondController'
    })
    .when('/ready-menu-balance',{
      templateUrl: './app/views/ready-menu-second.html',
      controller: 'ReadyMenuSecondController'
    }).otherwise({
      redirectTo: '/'
    })

}])

// app.run(function($animate) {
//   $animate.enabled(true);
//   $animate.enabled(document.body, false);
//   $animate.enabled(document.getElementById('view-container'), true);
// });
//
// app.value('$$isDocumentHidden', function() { return false; });
